local assets =
{
    Asset("ANIM", "anim/dress_box.zip"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("dress_box")
    inst.AnimState:SetBuild("dress_box")
    inst.AnimState:PlayAnimation("idle")

	inst:AddComponent("dsskin_dress")

    inst:AddComponent("inspectable")

	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/dress_box.xml"

    return inst
end

return Prefab("dress_box", fn, assets)
