local assets =
{
   Asset("ANIM", "anim/icebox_crystal.zip")
}

local function OnKillTask(inst)
    inst.AnimState:PlayAnimation("pst")
	inst._killtask = inst:DoTaskInTime((inst.AnimState:GetCurrentAnimationLength() or 0 )+ 2 * FRAMES, inst.Remove)
end

local function Kill(inst)
    if inst._killtask == nil then
		local len = inst.AnimState:GetCurrentAnimationLength()
		inst._killtask = inst:DoTaskInTime(len - ((GetTime()-inst.time) % len), OnKillTask)
    end
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("icebox_crystal")
    inst.AnimState:SetBuild("icebox_crystal")
    inst.AnimState:PlayAnimation("pre")
    inst.AnimState:SetFinalOffset(1)

    inst:AddTag("FX")

    inst.AnimState:PushAnimation("loop")

    inst.persists = false
	inst.time = GetTime()
    inst.Kill = Kill

    return inst
end

return Prefab("icebox_crystal_fx", fn, assets)
