local function fxfn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("researchlab2_pod_alt_fx")
    inst.AnimState:SetBuild("researchlab2_pod")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetFinalOffset(1)
    inst.AnimState:SetBloomEffectHandle("shaders/anim.ksh")

    inst:AddTag("DECOR")
    inst:AddTag("NOCLICK")

    inst.persists = false

    return inst
end

return Prefab("researchlab2_pod_fx", fxfn)