local assets =
{
    Asset("ANIM", "anim/firepit_firebird_puff_fx.zip"),
}

local function PlayPuffAnim(inst)
        inst.AnimState:OverrideSymbol("fire_puff", "firepit_firebird_puff_fx", "fire_puff")
        inst.AnimState:PlayAnimation("puff"..tostring(inst.level))
        inst:ListenForEvent("animover", inst.Remove)
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
	inst.entity:AddAnimState()

    inst:AddTag("FX")

    inst.level = math.random(7)
    inst.level = 2
	inst.AnimState:SetBank("firepit_firebird")
    inst.AnimState:SetBuild("firepit_firebird_puff_fx")
    inst.AnimState:SetBloomEffectHandle("shaders/anim.ksh")
    inst.AnimState:SetFinalOffset(-1)
    inst.persists = false
	inst:DoTaskInTime(0, PlayPuffAnim)

    return inst
end

return Prefab("firepit_firebird_puff_fx", fn, assets)
