local assets =
{
    Asset("ANIM", "anim/icebox_victorian.zip"),
}

local function OnKillTask(inst)
    inst.AnimState:PlayAnimation("pst")
    inst._killtask = inst:DoTaskInTime(2 + 2 * FRAMES, inst.Remove)
end

local function Kill(inst)
    if inst._killtask == nil then
        local len = 2.033333
        inst._killtask = inst:DoTaskInTime(len - ((GetTime()-inst.time) % len), OnKillTask)
    end
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("icebox_victorian")
    inst.AnimState:SetBuild("icebox_victorian")
    inst.AnimState:PlayAnimation("pre")
    inst.AnimState:SetFinalOffset(1)

    inst:AddTag("FX")

    inst.AnimState:PushAnimation("loop")

    inst.persists = false
	inst.time = GetTime()

    inst.Kill = Kill

    return inst
end

return Prefab("icebox_victorian_frost_fx", fn, assets)
