local assets=
{
	Asset("ANIM", "anim/krampus_sack_card.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("krampus_sack_card")
    inst.AnimState:SetBuild("krampus_sack_card")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM    
    inst:AddComponent("inspectable")
	
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/krampus_sack_card.xml"

	return inst
end

return Prefab( "krampus_sack_card", fn, assets) 
